<?php
/**
 * @copyright   &copy; 2005-2019 PHPBoost
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Kévin BRISSEZ <brissez.kevin@gmail.com>
 * @version     PHPBoost 5.1 - last update: 2019 11 01
 * @since       PHPBoost 5.0 - 2019 07 01
 */

class NotificationsFormatDate
  {
    public static function getFormatDate($date)
      {
        $date_compare = new DateTime($date);
        $date_now     = new DateTime("now");
        
        $intervalle = $date_compare->diff($date_now);
        
        if ($date_compare > $date_now)
          {
            $prefix = LangLoader::get_message('notifications.in', 'common', 'notifications');
          }
        else
          {
            $prefix = LangLoader::get_message('notifications.there.are', 'common', 'notifications');
          }
        
        $years   = $intervalle->format('%y');
        $months  = $intervalle->format('%m');
        $days    = $intervalle->format('%d');
        $hours   = $intervalle->format('%h');
        $minuts  = $intervalle->format('%i');
        $seconds = $intervalle->format('%s');
        
        if ($years != 0)
          {
            $relative_date = $prefix . $years . LangLoader::get_message('notifications.year', 'common', 'notifications') . (($years > 1) ? 's' : '');
            if ($months >= 6)
                $relative_date .= LangLoader::get_message('notifications.and.a.half', 'common', 'notifications');
          }
        elseif ($months != 0)
          {
            $relative_date = $prefix . $months . LangLoader::get_message('notifications.month', 'common', 'notifications');
            if ($days >= 15)
                $relative_date .= LangLoader::get_message('notifications.and.a.half', 'common', 'notifications');
          }
        elseif ($days != 0)
          {
            $relative_date = $prefix . $days . LangLoader::get_message('notifications.day', 'common', 'notifications') . (($days > 1) ? 's' : '');
          }
        elseif ($hours != 0)
          {
            $relative_date = $prefix . $hours . LangLoader::get_message('notifications.hour', 'common', 'notifications') . (($hours > 1) ? 's' : '');
          }
        elseif ($minuts != 0)
          {
            $relative_date = $prefix . $minuts . LangLoader::get_message('notifications.minut', 'common', 'notifications') . (($minuts > 1) ? 's' : '');
          }
        else
          {
            $relative_date = $prefix . LangLoader::get_message('notifications.a.few.seconds', 'common', 'notifications');
          }
        
        return $relative_date;
      }
  }

?>